Que signifie l'erreur: « \RequirePackage or \LoadClass in Options Section » ?

  • Message: \RequirePackage or \LoadClass in Options Section
  • Origine: LaTeX.

\LaTeX{} a trouvé un \RequirePackage ou un \LoadClass à l'intérieur d'un fichier d'extension ou de classe entre des commandes \DeclareOption et \ProcessOptions. Le chargement d'extension ou de classe n'est pas permis dans cette partie puisqu'il démolirait la structure de données qui mémorise l'ensemble d'options en cours. FIXME Voir section A.4 du LaTeX Companion.

Si l'on veut charger une extension lorsqu'une certaine option est spécifiée, il faut utiliser un drapeau pour indiquer que l'option a été sélectionnée et charger l'extension après que la commande \ProcessOptions a fait son travail.


Sources:

1_generalites/erreurs/r/requirepackage_or_loadclass_in_options_section.txt · Dernière modification: 2021/01/29 19:38 par dbitouze
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0